Description: Could we make generated project identifiers hierarchical?

Eg. If I have a project "Contracts" and this project has subproject "Foo Application". And I would like to add a 
subproject "iOS" to project "Foo Application", the generated project identifier is "ios". But it would be much 
more usefull if it could be eg. "contracts-foo-application-ios".

Is this possible? I use subprojects heavilly and this would save me much time for renaming project identifiers 
when creating them.

What do you think?

Associated revisions
2008-04-26 01:59 pm - Jean-Philippe Lang 
Estimated time recognizes improved time formats (#1092).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1361 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-07-24 02:14 pm - Felix Schäfer
I'm not sure if it's something that should go in the core (Holger?), but I've written a plugin for exactly that some time ago 
https://github.com/thegcat/chiliproject_ensure_project_hierarchy (I haven't tested it on current ChiliProject though, ping me in the GitHub Project if it 
doesn't work).

2012-08-20 07:31 pm - Holger Just
- Priority changed from High to Normal

I think we could adapt the automatically generated identifier to include the parent project's identifier I don't think this should be enforced on the model 
level right now as then the identifier would be required to change if you move the project around in the hierarchy.

After thinking a bit more, I also think this behavior should be configurable (with the default being the current behavior). I can see the use-case for both 
variants.

2012-08-20 09:25 pm - TomÃ¡Å¡ Jukin
I perfectly agree with you, Holger
